org.icefaces.ace.component.list

## Class ListDecoder

- java.lang.Object
- - org.icefaces.ace.component.list.ListDecoder

-     public class ListDecoder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListDecoder(ACEList list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListDecoder` | `attachEmigrants(javax.faces.context.FacesContext context, java.lang.String destListId)`
    `ListDecoder` | `fetchImmigrants(javax.faces.context.FacesContext context, java.lang.String raw)`
    `ListDecoder` | `insertImmigrants()`
    `ListDecoder` | `processDeselections(java.lang.String raw)`
    `ListDecoder` | `processReorderings(java.lang.String raw)`
    `ListDecoder` | `processSelections(java.lang.String raw)`
    `ListDecoder` | `removeEmigrants(javax.faces.context.FacesContext context, java.lang.String destListId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListDecoder

          public ListDecoder(ACEList list)

  - ### Method Detail

    - #### processSelections

          public ListDecoder processSelections(java.lang.String raw)
                                        throws JSONException

      Throws:
        `JSONException`

    - #### processDeselections

          public ListDecoder processDeselections(java.lang.String raw)
                                          throws JSONException

      Throws:
        `JSONException`

    - #### processReorderings

          public ListDecoder processReorderings(java.lang.String raw)
                                         throws JSONException

      Throws:
        `JSONException`

    - #### attachEmigrants

          public ListDecoder attachEmigrants(javax.faces.context.FacesContext context,
                                             java.lang.String destListId)
                                      throws JSONException

      Throws:
        `JSONException`

    - #### removeEmigrants

          public ListDecoder removeEmigrants(javax.faces.context.FacesContext context,
                                             java.lang.String destListId)

    - #### fetchImmigrants

          public ListDecoder fetchImmigrants(javax.faces.context.FacesContext context,
                                             java.lang.String raw)
                                      throws JSONException

      Throws:
        `JSONException`

    - #### insertImmigrants

          public ListDecoder insertImmigrants()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.